#!/bin/sh -x

cd ~/libreswan-sdk

mkdir -p diffs.lsw
date=$(date +%Y-%m-%d-%H-%M)
diffs=diffs.lsw/${date}

find linux/ -name *.LSW -print | while read lsw ; do diff -u $lsw $(dirname $lsw)/$(basename $lsw .LSW) ; done > $diffs
cat linux/lib/nss/patches/*-z* >> $diffs
cat linux/user/libreswan/patches/*-z* >> $diffs

# this deletes the nss build directories triggering a rebuild
if false; then
    rm -f linux/lib/nss/build/*-built
    rm -f linux/lib/nss/build/*-installed
    rm -f linux/lib/nss/build/*-lndir
    rm -f linux/lib/nss/build/*-autoconf
    # linux/lib/nss/build/*-install/?
    find linux/lib/nss/build -name uClinux-dist -print -prune | xargs rm -rf
fi

if false; then
    rm -rf linux/user/libreswan/build
fi

make 2>&1 | tee logs/${date}

cp linux/user/libreswan/build/*/OBJ.*/programs/pluto/{pluto,whack} ../linuxsdk/linux/nfs
cp linux/user/iproute2/ip/ip ../linuxsdk/linux/nfs
sudo cp ipsec.* ../linuxsdk/linux/nfs/etc
bunzip2 < etc-ipsec-d.tar.bz2 | ( cd ../linuxsdk/linux/nfs && sudo tar xpvf - )

